package main

import (
	"fmt"
	"log"
	"os"

	"git.aetherial.dev/aeth/kyoketsu/pkg/scan"
)



func main() {
	if len(os.Args) == 1 {
		log.Fatal("Please pass in the name of an interface that belongs to the network to scan.")
	}
	addr, err := scan.GetAllAddresses(os.Args[1])
	if err != nil {
		log.Fatal(err)
	}
	fmt.Printf("%+v\n", addr)


}



