package storage

import "git.aetherial.dev/aeth/kyoketsu/pkg/scan"



type TopologyDatabaseIO interface {
	AddHostToTable(*scan.TcpScanHost) error	// Add a host to the hosts table
	UpdateHostEntry(string, *scan.TcpScanHost) error //Update a host entry, indexing by its ip address
	RemoveHostEntry(string) error
}




